Remove member
DELETE
https://api.catenda.com/v2/orgs/{organization-id}/members/{user-id}
Path Parameters
- organization-idstringrequiredDescription
- user-idstringrequiredDescription
Responses
204
curl
curl --request DELETE \
--url https://api.catenda.com/v2/orgs/{organization-id}/members/{user-id} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'DELETE',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.catenda.com/v2/orgs/{organization-id}/members/{user-id}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.catenda.com/v2/orgs/{organization-id}/members/{user-id}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.catenda.com/v2/orgs/{organization-id}/members/{user-id}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("DELETE", url, headers=headers, data=payload)
print(response.text)
204
// No Content
Remove an organization member.
The current user must be an owner of the organization to remove other members.
There must be at least one other owner in the organization when removing the current user.